Skip to main content
v1.0.0
OAS 3.0.3

Qubic Live API

Bridge service for Qubic network operations.

Server:https://rpc.qubic.org/live/v1
Client Libraries

Accounts

Check account balances and transfer history.

Accounts Operations

Get Balance

Gets the balance of the specified identity.

Path Parameters
  • id
    Type: string
    required
Responses
  • 200
    Type: object

    GetBalanceResponse

    • balance
      Type: Balance

      Balance

Request Example for get/balances/{id}
curl 'https://rpc.qubic.org/live/v1/balances/{id}'
{
  "balance": {
    "id": "string",
    "balance": "string",
    "validForTick": 1,
    "latestIncomingTransferTick": 1,
    "latestOutgoingTransferTick": 1,
    "incomingAmount": "string",
    "outgoingAmount": "string",
    "numberOfIncomingTransfers": 1,
    "numberOfOutgoingTransfers": 1
  }
}

Assets

Search Asset Issuances

Returns a list of issued assets filtered by issuer identity and asset name.

Query Parameters
  • issuerIdentity
    Type: string
  • assetName
    Type: string
Responses
  • 200
    Type: object

    AssetIssuances

    • assets
      Type: array AssetIssuance[]

      AssetIssuance

Request Example for get/assets/issuances
curl https://rpc.qubic.org/live/v1/assets/issuances
{
  "assets": [
    {
      "data": {
        "issuerIdentity": "string",
        "type": 1,
        "name": "string",
        "numberOfDecimalPlaces": 1,
        "unitOfMeasurement": [
          1
        ]
      },
      "tick": 1,
      "universeIndex": 1
    }
  ]
}

Get Asset Issuance By Index

Returns an asset issuance by universe index.

Path Parameters
  • index
    Type: integerFormat: uint32
    required
Responses
  • 200
    Type: object

    AssetIssuance

    • data
      Type: AssetIssuanceData

      AssetIssuanceData

    • tick
      Type: integerFormat: uint32
    • universeIndex
      Type: integerFormat: uint32
Request Example for get/assets/issuances/{index}
curl https://rpc.qubic.org/live/v1/assets/issuances/1
{
  "data": {
    "issuerIdentity": "string",
    "type": 1,
    "name": "string",
    "numberOfDecimalPlaces": 1,
    "unitOfMeasurement": [
      1
    ]
  },
  "tick": 1,
  "universeIndex": 1
}

Search Asset Ownerships

Returns a list of asset ownerships filtered by issuer, asset name, owner and managing contract.

Query Parameters
  • issuerIdentity
    Type: string

    Identity of the issuer. Defaults to the zero address (smart contract shares).

  • assetName
    Type: string

    Name of the asset (required).

  • ownerIdentity
    Type: string

    Identity of the owner of the asset (optional).

  • ownershipManagingContract
    Type: integerFormat: uint32

    Index of the contract that manages the ownership (optional).

Responses
  • 200
    Type: object

    AssetOwnerships

    • assets
      Type: array AssetOwnership[]

      AssetOwnership

Request Example for get/assets/ownerships
curl https://rpc.qubic.org/live/v1/assets/ownerships
{
  "assets": [
    {
      "data": {
        "ownerIdentity": "string",
        "type": 1,
        "managingContractIndex": 1,
        "issuanceIndex": 1,
        "numberOfUnits": "string"
      },
      "tick": 1,
      "universeIndex": 1
    }
  ]
}

Get Asset Ownership By Index

Returns an asset ownership by universe index.

Path Parameters
  • index
    Type: integerFormat: uint32
    required
Responses
  • 200
    Type: object

    AssetOwnership

    • data
      Type: AssetOwnershipData

      AssetOwnershipData

    • tick
      Type: integerFormat: uint32
    • universeIndex
      Type: integerFormat: uint32
Request Example for get/assets/ownerships/{index}
curl https://rpc.qubic.org/live/v1/assets/ownerships/1
{
  "data": {
    "ownerIdentity": "string",
    "type": 1,
    "managingContractIndex": 1,
    "issuanceIndex": 1,
    "numberOfUnits": "string"
  },
  "tick": 1,
  "universeIndex": 1
}

Search Asset Possessions

Returns a list of asset possessions filtered by issuer, asset name, owner, possessor and managing contracts.

Query Parameters
  • issuerIdentity
    Type: string

    Identity of the issuer (required). Defaults to the zero address (smart contract shares).

  • assetName
    Type: string

    Name of the asset (required).

  • ownerIdentity
    Type: string

    Identity of the owner of the asset (optional).

  • possessorIdentity
    Type: string

    Identity of the possessor of the asset (optional).

  • ownershipManagingContract
    Type: integerFormat: uint32

    Index of the contract that manages the ownership (optional).

  • possessionManagingContract
    Type: integerFormat: uint32

    Index of the contract that manages the possession (optional).

Responses
  • 200
    Type: object

    AssetPossessions

    • assets
      Type: array AssetPossession[]

      AssetPossession

Request Example for get/assets/possessions
curl https://rpc.qubic.org/live/v1/assets/possessions
{
  "assets": [
    {
      "data": {
        "possessorIdentity": "string",
        "type": 1,
        "managingContractIndex": 1,
        "ownershipIndex": 1,
        "numberOfUnits": "string"
      },
      "tick": 1,
      "universeIndex": 1
    }
  ]
}

Get Asset Possession By Index

Returns an asset possession by universe index.

Path Parameters
  • index
    Type: integerFormat: uint32
    required
Responses
  • 200
    Type: object

    AssetPossession

    • data
      Type: AssetPossessionData

      AssetPossessionData

    • tick
      Type: integerFormat: uint32
    • universeIndex
      Type: integerFormat: uint32
Request Example for get/assets/possessions/{index}
curl https://rpc.qubic.org/live/v1/assets/possessions/1
{
  "data": {
    "possessorIdentity": "string",
    "type": 1,
    "managingContractIndex": 1,
    "ownershipIndex": 1,
    "numberOfUnits": "string"
  },
  "tick": 1,
  "universeIndex": 1
}

List Issued Assets

Gets assets issued by the specified identity.

Path Parameters
  • identity
    Type: string
    required
Responses
  • 200
    Type: object

    IssuedAssetsResponse

    • issuedAssets
      Type: array IssuedAsset[]

      IssuedAsset

Request Example for get/assets/{identity}/issued
curl 'https://rpc.qubic.org/live/v1/assets/{identity}/issued'
{
  "issuedAssets": [
    {
      "data": {
        "issuerIdentity": "string",
        "type": 1,
        "name": "string",
        "numberOfDecimalPlaces": 1,
        "unitOfMeasurement": [
          1
        ]
      },
      "info": {
        "tick": 1,
        "universeIndex": 1
      }
    }
  ]
}

List Owned Assets

Gets assets that are owned by the specified identity.

Path Parameters
  • identity
    Type: string
    required
Responses
  • 200
    Type: object

    OwnedAssetsResponse

    • ownedAssets
      Type: array OwnedAsset[]

      OwnedAsset

Request Example for get/assets/{identity}/owned
curl 'https://rpc.qubic.org/live/v1/assets/{identity}/owned'
{
  "ownedAssets": [
    {
      "data": {
        "ownerIdentity": "string",
        "type": 1,
        "padding": 1,
        "managingContractIndex": 1,
        "issuanceIndex": 1,
        "numberOfUnits": "string",
        "issuedAsset": {
          "issuerIdentity": "string",
          "type": 1,
          "name": "string",
          "numberOfDecimalPlaces": 1,
          "unitOfMeasurement": [
            1
          ]
        }
      },
      "info": {
        "tick": 1,
        "universeIndex": 1
      }
    }
  ]
}

List Possessed Assets

Gets assets that are possessed by the specified identity.

Path Parameters
  • identity
    Type: string
    required
Responses
  • 200
    Type: object

    PossessedAssetsResponse

    • possessedAssets
      Type: array PossessedAsset[]

      PossessedAsset

Request Example for get/assets/{identity}/possessed
curl 'https://rpc.qubic.org/live/v1/assets/{identity}/possessed'
{
  "possessedAssets": [
    {
      "data": {
        "possessorIdentity": "string",
        "type": 1,
        "padding": 1,
        "managingContractIndex": 1,
        "issuanceIndex": 1,
        "numberOfUnits": "string",
        "ownedAsset": {
          "ownerIdentity": "string",
          "type": 1,
          "padding": 1,
          "managingContractIndex": 1,
          "issuanceIndex": 1,
          "numberOfUnits": "string",
          "issuedAsset": {
            "issuerIdentity": "string",
            "type": 1,
            "name": "string",
            "numberOfDecimalPlaces": 1,
            "unitOfMeasurement": [
              1
            ]
          }
        }
      },
      "info": {
        "tick": 1,
        "universeIndex": 1
      }
    }
  ]
}

Network

Network status and tick information.

deprecated

Get Block Height

Deprecated: use /tick-info instead.

Responses
  • 200
    Type: object

    GetBlockHeightResponse

    • blockHeight
      Type: TickInfo

      TickInfo

Request Example for get/block-height
curl https://rpc.qubic.org/live/v1/block-height
{
  "blockHeight": {
    "tick": 1,
    "duration": 1,
    "epoch": 1,
    "initialTick": 1
  }
}

Get Tick Info

Gets the current tick information.

Responses
  • 200
    Type: object

    GetTickInfoResponse

    • tickInfo
      Type: TickInfo

      TickInfo

Request Example for get/tick-info
curl https://rpc.qubic.org/live/v1/tick-info
{
  "tickInfo": {
    "tick": 1,
    "duration": 1,
    "epoch": 1,
    "initialTick": 1
  }
}

Smart Contracts

Query smart contracts and view active IPOs.

Get Active IPOs

Returns a list of IPOs that are active in the current epoch.

Responses
  • 200
    Type: object

    GetActiveIposResponse

    • ipos
      Type: array Ipo[]

      IPO

Request Example for get/ipos/active
curl https://rpc.qubic.org/live/v1/ipos/active
{
  "ipos": [
    {
      "contractIndex": 1,
      "assetName": "string"
    }
  ]
}

Query Smart Contract

Queries a smart contract function.

Body
required
application/json

QuerySmartContractRequest

  • contractIndex
    Type: integerFormat: uint32

    identifies the smart contract

  • inputSize
    Type: integerFormat: uint32

    the size of the input data (request data)

  • inputType
    Type: integerFormat: uint32

    identifies the function to be queried

  • requestData
    Type: string

    base64 encoded input data

Responses
  • 200
    Type: object

    QuerySmartContractResponse

    • responseData
      Type: string

      Binary data encoded as Base64. This data is returned directly from the called SC function.

Request Example for post/querySmartContract
curl https://rpc.qubic.org/live/v1/querySmartContract \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "contractIndex": 1,
  "inputType": 1,
  "inputSize": 1,
  "requestData": ""
}'
{
  "responseData": "string"
}

Transactions

Broadcast transactions to the network.

Transactions Operations

Broadcast Transaction

Broadcasts a transaction to the network.

Body
required
application/json

BroadcastTransactionRequest

  • encodedTransaction
    Type: string

    Base64 encoded binary transaction data.

Responses
  • 200
    Type: object

    BroadcastTransactionResponse

    • encodedTransaction
      Type: string

      The Base 64 encoded binary transaction from the request.

    • peersBroadcasted
      Type: integerFormat: int32

      The number of Qubic node peers this transactions has been broadcast to.

    • transactionId
      Type: string

      The id / hash of the transaction.

Request Example for post/broadcast-transaction
curl https://rpc.qubic.org/live/v1/broadcast-transaction \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "encodedTransaction": ""
}'
{
  "peersBroadcasted": 1,
  "encodedTransaction": "string",
  "transactionId": "string"
}